port=10001
server="47.97.154.189"
username="renjia_ssh"
configFile="/home/root/APP/server.config"

if [ -f ${configFile} ];
then
        server=`cat ${configFile} | grep : | awk -F ':' '{if(NR==1){print $1}}'`
        echo $server

        username=`cat ${configFile} | grep : | awk -F ':' '{if(NR==1){print $2}}'`
        echo $username

        port=`cat ${configFile} | grep : | awk -F ':' '{if(NR==1){print $3}}'`
        echo $port

        server_port=`cat ${configFile} | grep : | awk -F ':' '{if(NR==1){print $4}}'`
        if [ X$server_port = "X" ];
        then    
                echo "server_port is null"
                server_port=22
        fi
        echo $server_port
fi

rtty_port=5912
rtty_server="127.0.0.1"
rtty_u="rtty"
rtty_description="双目客流一体机"
rtty_devid_md5="0"

if [ -f ${configFile} ];
then
        rtty_server=`cat ${configFile} | grep : | awk -F ':' '/rtty/{print $1}'`
        echo $rtty_server

        rtty_u=`cat ${configFile} | grep : | awk -F ':' '/rtty/{print $2}'`
        echo $rtty_u

        rtty_port=`cat ${configFile} | grep : | awk -F ':' '/rtty/{print $3}'`
        echo $rtty_port

        rtty_description=`cat ${configFile} | grep : | awk -F ':' '/rtty/{print $4}'`
        echo $rtty_description
fi

sn_file="/usr/local/bin/CameraProbuctSn"
if [ -f ${sn_file} ];
then
        # rtty_date="`date +'%Y-%m-%d %H:%M:%S'`"
        rtty_sn=$(cat ${sn_file} | awk '{print $2}')
        # rtty_devid=${rtty_date}${rtty_sn}
        # rtty_devid_md5="`echo -n ${rtty_devid}|md5sum|cut -d ' ' -f1`"
        rtty_devid_md5="`echo -n ${rtty_sn}|md5sum|cut -d ' ' -f1`"
        echo $rtty_devid_md5

        rtty_id=${rtty_sn}_${rtty_devid_md5:0:8}

fi

log_file="/home/log/sys.log"
echo "`date +'%Y-%m-%d %H:%M:%S'`: audossh start..." >> $log_file
echo "`date +'%Y-%m-%d %H:%M:%S'`: rtty start..." >> $log_file
while true;do
RET=`ps  | grep "ssh -" | grep -v "grep"`
if [ "$RET" = "" ]; then
echo "`date +'%Y-%m-%d %H:%M:%S'`: restart autossh server" >> $log_file
ssh -o ExitOnForwardFailure=yes -o StrictHostKeyChecking=no -o ServerAliveInterval=60 -o ServerAliveCountMax=3 -o TCPKeepAlive=yes -CNR ${port}:127.0.0.1:22 ${username}@${server} -p ${server_port} &
fi

RET=`ps  | grep "rtty -" | grep -v "grep"`
if [ "$RET" = "" ]; then
echo "`date +'%Y-%m-%d %H:%M:%S'`: start rtty client" >> $log_file
rtty -I "${rtty_id}" -h "${rtty_server}" -p "${rtty_port}" -a -v -d "${rtty_description}" -f root &
fi

sleep 30
echo "`date +'%Y-%m-%d %H:%M:%S'`: audossh scan..." >> $log_file
done
