#!/bin/bash

# 等待5分钟
sleep 300

log_file="/home/log/sys.log"
 # 检测/etc/network/interface中wlan0是否存在
cat /etc/network/interfaces | grep wlan0
if [ $? -eq 0 ]
then 
    echo "wlan0 in /etc/network/interface"
    # 检测wlan0是否存在
    if ! /sbin/ifconfig wlan0; then
        # 如果不存在wlan0，重启系统
        echo "`date +'%Y-%m-%d %H:%M:%S'`: wlan0 not found. Rebooting..." >> $log_file
        sync
        /sbin/reboot
    else
        echo "`date +'%Y-%m-%d %H:%M:%S'`: wlan0 exists. Exiting..." >> $log_file
    fi
else
    echo "no wlan0 in /etc/network/interface"
fi
