#!/bin/bash

log_file="/home/log/sys.log"

while true
do

  if [ ! -f /home/root/stdout-stderr.log ];
  then
      sleep 2
      continue
  fi

  #监测主目录log信息
  size=`du -s /home/root/stdout-stderr.log | awk '{print $1}'`
  if [ $size -gt 200000 ];
  then
      echo "`date +'%Y-%m-%d %H:%M:%S'`: handle stdout-stderr.log..." >> $log_file
      mv /mnt/UDISK/stdout-stderr-9.log /mnt/UDISK/stdout-stderr-10.log
      mv /mnt/UDISK/stdout-stderr-8.log /mnt/UDISK/stdout-stderr-9.log
      mv /mnt/UDISK/stdout-stderr-7.log /mnt/UDISK/stdout-stderr-8.log
      mv /mnt/UDISK/stdout-stderr-6.log /mnt/UDISK/stdout-stderr-7.log
      mv /mnt/UDISK/stdout-stderr-5.log /mnt/UDISK/stdout-stderr-6.log
      mv /mnt/UDISK/stdout-stderr-4.log /mnt/UDISK/stdout-stderr-5.log
      mv /mnt/UDISK/stdout-stderr-3.log /mnt/UDISK/stdout-stderr-4.log
      mv /mnt/UDISK/stdout-stderr-2.log /mnt/UDISK/stdout-stderr-3.log
      mv /mnt/UDISK/stdout-stderr-1.log /mnt/UDISK/stdout-stderr-2.log
      cp /home/root/stdout-stderr.log /mnt/UDISK/stdout-stderr-1.log
      echo "" > /home/root/stdout-stderr.log
      echo "`date +'%Y-%m-%d %H:%M:%S'`: handle stdout-stderr.log!" >> $log_file
  fi

  #监测osd.log信息
  size=`du -s /home/root/osd.log | awk '{print $1}'`
  if [ $size -gt 1000 ];
  then
      echo "`date +'%Y-%m-%d %H:%M:%S'`: handle osd.log..." >> $log_file
      cp /home/root/osd.log /mnt/UDISK/osd.log
      echo "" > /home/root/osd.log
      echo "`date +'%Y-%m-%d %H:%M:%S'`: handle osd.log!" >> $log_file
  fi

  #监测/home/log/sys.log信息
  size=`du -s /home/log/sys.log | awk '{print $1}'`
  if [ $size -gt 1000 ];
  then
      echo "`date +'%Y-%m-%d %H:%M:%S'`: handle sys.log..." >> $log_file
      cp /home/log/sys.log /mnt/UDISK/sys.log
      echo "" > /home/log/sys.log
  fi

  sleep 60
done
