#!/bin/sh
firmwareParamFile=/home/Param/firmwareParam
firmwareFile=/home/root/firmware.zip
while true
do
    if [ -f $firmwareParamFile ];
    then
        link=`cat $firmwareParamFile | awk '{print $1}' `
        md5=`cat $firmwareParamFile | awk '{print $2}' `
        echo $link " " $md5
        if [ -f $firmwareFile ];
        then
            md5Value=`md5sum $firmwareFile | awk '{print $1}' `
            echo "current md5value:$md5Value"
            if [ $md5 == $md5Value ];
            then
                echo "Firmware download done, start to update.."
                cd /home/root ; unzip -o $firmwareFile
                chmod +x cameraConfig-upgrade.sh ; ./cameraConfig-upgrade.sh
                rm $firmwareFile
                rm $firmwareParamFile
                sync
                reboot
            else
                echo "MD5 value error,restart to download firmware.."
                rm $firmwareFile
                wget $link -O $firmwareFile --no-cookie --no-check-certificate
            fi
        else
            echo "Start to download firmware.."
            wget $link -O $firmwareFile
        fi
    fi
    sleep 3
done